package net.northking.cctp.upperComputer.driver.agent.command;

import java.util.List;

/**
 * 正在运行的App的进程信息
 */
public class RunningAppProcessInfo {
    private int pid;
    private int uid;
    private String processName;
    private int lru;
    private int importance;
    private String importanceReasonComponent;
    private int importanceReasonPid;
    private int lastTrimLevel;
    private List<String> pkgList;

    public int getPid() {
        return pid;
    }

    public void setPid(int pid) {
        this.pid = pid;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public int getLru() {
        return lru;
    }

    public void setLru(int lru) {
        this.lru = lru;
    }

    public int getImportance() {
        return importance;
    }

    public void setImportance(int importance) {
        this.importance = importance;
    }

    public String getImportanceReasonComponent() {
        return importanceReasonComponent;
    }

    public void setImportanceReasonComponent(String importanceReasonComponent) {
        this.importanceReasonComponent = importanceReasonComponent;
    }

    public int getImportanceReasonPid() {
        return importanceReasonPid;
    }

    public void setImportanceReasonPid(int importanceReasonPid) {
        this.importanceReasonPid = importanceReasonPid;
    }

    public int getLastTrimLevel() {
        return lastTrimLevel;
    }

    public void setLastTrimLevel(int lastTrimLevel) {
        this.lastTrimLevel = lastTrimLevel;
    }

    public List<String> getPkgList() {
        return pkgList;
    }

    public void setPkgList(List<String> pkgList) {
        this.pkgList = pkgList;
    }

    @Override
    public String toString() {
        return "RunningAppProcessInfo{" +
                "pid=" + pid +
                ", uid=" + uid +
                ", processName='" + processName + '\'' +
                ", lru=" + lru +
                ", importance=" + importance +
                ", importanceReasonComponent='" + importanceReasonComponent + '\'' +
                ", importanceReasonPid=" + importanceReasonPid +
                ", lastTrimLevel=" + lastTrimLevel +
                ", pkgList=" + pkgList +
                '}';
    }
}
